## seahorse-passphrase

seahorse-passphrase

## Synopsis

    #define             SEAHORSE_PASS_BAD
    #define             SEAHORSE_PASS_NEW
    GtkDialog*          seahorse_passphrase_prompt_show     (const gchar *title,
                                                             const gchar *description,
                                                             const gchar *prompt,
                                                             const gchar *check,
                                                             gboolean confirm);
    const gchar*        seahorse_passphrase_prompt_get      (GtkDialog *dialog);
    gboolean            seahorse_passphrase_prompt_checked  (GtkDialog *dialog);

## Description

## Details

### SEAHORSE_PASS_BAD

    #define SEAHORSE_PASS_BAD    0x00000001

### SEAHORSE_PASS_NEW

    #define SEAHORSE_PASS_NEW    0x01000000

### seahorse_passphrase_prompt_show ()

    GtkDialog*          seahorse_passphrase_prompt_show     (const gchar *title,
                                                             const gchar *description,
                                                             const gchar *prompt,
                                                             const gchar *check,
                                                             gboolean confirm);

`title` : |
`description` : |
`prompt` : |
`check` : |
`confirm` : |
Returns : |

### seahorse_passphrase_prompt_get ()

    const gchar*        seahorse_passphrase_prompt_get      (GtkDialog *dialog);

`dialog` : |
Returns : |

### seahorse_passphrase_prompt_checked ()

    gboolean            seahorse_passphrase_prompt_checked  (GtkDialog *dialog);

`dialog` : |
Returns : |